#!/bin/bash
cd "`dirname "$0"`"

# Required because although the game uses Path.Combine, it still
# ships with hardcoded \s in paths in serialized data... ouch.
export MONO_IOMAP=all

# Required because SFML depends on -system... and the dynamic linker
# needs a hint regarding where to look for it.
# Note: If shipping with the "standard" lib / lib64 "layout",
#       this shouldn't be required (untested!).
#       Instead, drop SFML in there.
export LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:`dirname "$0"`/sfml2"

mono --debug underrail.exe $@
